org.apache.http.impl.conn

## Class ManagedHttpClientConnectionFactory

- java.lang.Object
- - org.apache.http.impl.conn.ManagedHttpClientConnectionFactory

- All Implemented Interfaces:
    HttpConnectionFactory < HttpRoute ， ManagedHttpClientConnection >

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class ManagedHttpClientConnectionFactory
      extends Object
      implements HttpConnectionFactory<HttpRoute,ManagedHttpClientConnection>

  工厂为`ManagedHttpClientConnection`实例。
  从以下版本开始：
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ManagedHttpClientConnectionFactory` | `INSTANCE`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ManagedHttpClientConnectionFactory()`
    `ManagedHttpClientConnectionFactory(HttpMessageParserFactory<HttpResponse> responseParserFactory)`
    `ManagedHttpClientConnectionFactory(HttpMessageWriterFactory<HttpRequest> requestWriterFactory, HttpMessageParserFactory<HttpResponse> responseParserFactory)`
    `ManagedHttpClientConnectionFactory(HttpMessageWriterFactory<HttpRequest> requestWriterFactory, HttpMessageParserFactory<HttpResponse> responseParserFactory, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagedHttpClientConnection` | `create(HttpRoute route, ConnectionConfig config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### INSTANCE

          public static final ManagedHttpClientConnectionFactory INSTANCE

  - ### 构造方法详细信息

    - #### ManagedHttpClientConnectionFactory

          public ManagedHttpClientConnectionFactory(HttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                            HttpMessageParserFactory<HttpResponse> responseParserFactory,
                                            ContentLengthStrategy incomingContentStrategy,
                                            ContentLengthStrategy outgoingContentStrategy)

      从以下版本开始：
        4.4

    - #### ManagedHttpClientConnectionFactory

          public ManagedHttpClientConnectionFactory(HttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                            HttpMessageParserFactory<HttpResponse> responseParserFactory)

    - #### ManagedHttpClientConnectionFactory

          public ManagedHttpClientConnectionFactory(HttpMessageParserFactory<HttpResponse> responseParserFactory)

    - #### ManagedHttpClientConnectionFactory

          public ManagedHttpClientConnectionFactory()

  - ### 方法详细信息

    - #### create

          public ManagedHttpClientConnection create(HttpRoute route,
                                           ConnectionConfig config)

      Specified by:
        `create`在接口 `HttpConnectionFactory<HttpRoute,ManagedHttpClientConnection>`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585